compat: add some initial RHEL support